Package org.apache.ignite.spi.collision.fifoqueue

## Interface FifoQueueCollisionSpiMBean

- All Superinterfaces:
    `IgniteSpiManagementMBean`

      @MXBeanDescription("MBean provides information about FIFO queue based collision SPI configuration.")
      public interface FifoQueueCollisionSpiMBean
      extends IgniteSpiManagementMBean

  Management bean that provides access to the FIFO queue collision SPI configuration.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCurrentActiveJobsNumber()` | Gets current number of jobs that are active, i.e.
    `int` | `getCurrentHeldJobsNumber()` | Gets number of currently `'held'` jobs.
    `int` | `getCurrentRunningJobsNumber()` | Gets number of currently running (not `'held`) jobs.
    `int` | `getCurrentWaitJobsNumber()` | Gets current number of jobs that wait for the execution.
    `int` | `getParallelJobsNumber()` | Gets number of jobs that can be executed in parallel.
    `int` | `getWaitingJobsNumber()` | Maximum number of jobs that are allowed to wait in waiting queue.
    `void` | `setParallelJobsNumber​(int num)` | Sets number of jobs that can be executed in parallel.
    `void` | `setWaitingJobsNumber​(int num)` | Sets maximum number of jobs that are allowed to wait in waiting queue.

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

      `getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

- - ### Method Detail

    - #### getParallelJobsNumber

          @MXBeanDescription("Number of jobs that can be executed in parallel.")
          int getParallelJobsNumber()

      Gets number of jobs that can be executed in parallel.
      Returns:
        Number of jobs that can be executed in parallel.

    - #### setParallelJobsNumber

          @MXBeanDescription("Number of jobs that can be executed in parallel.")
          void setParallelJobsNumber​(int num)

      Sets number of jobs that can be executed in parallel.
      Parameters:
        `num` - Parallel jobs number.

    - #### getWaitingJobsNumber

          @MXBeanDescription("Maximum allowed number of waiting jobs.")
          int getWaitingJobsNumber()

      Maximum number of jobs that are allowed to wait in waiting queue. If number of waiting jobs ever exceeds this number, excessive jobs will be rejected.
      Returns:
        Maximum allowed number of waiting jobs.

    - #### setWaitingJobsNumber

          @MXBeanDescription("Maximum allowed number of waiting jobs.")
          void setWaitingJobsNumber​(int num)

      Sets maximum number of jobs that are allowed to wait in waiting queue. If number of waiting jobs ever exceeds this number, excessive jobs will be rejected.
      Parameters:
        `num` - Waiting jobs number.

    - #### getCurrentWaitJobsNumber

          @MXBeanDescription("Number of jobs that wait for execution.")
          int getCurrentWaitJobsNumber()

      Gets current number of jobs that wait for the execution.
      Returns:
        Number of jobs that wait for execution.

    - #### getCurrentActiveJobsNumber

          @MXBeanDescription("Number of active jobs.")
          int getCurrentActiveJobsNumber()

      Gets current number of jobs that are active, i.e. `'running + held'` jobs.
      Returns:
        Number of active jobs.

    - #### getCurrentRunningJobsNumber

          @MXBeanDescription("Number of running jobs.")
          int getCurrentRunningJobsNumber()

      Gets number of currently running (not `'held`) jobs.
      Returns:
        Number of currently running (not `'held`) jobs.

    - #### getCurrentHeldJobsNumber

          @MXBeanDescription("Number of held jobs.")
          int getCurrentHeldJobsNumber()

      Gets number of currently `'held'` jobs.
      Returns:
        Number of currently `'held'` jobs.